Bug 1326277 - Review Request: ocitools - Collection of tools for working with the OCI runtime specification
Summary: Review Request: ocitools - Collection of tools for working with the OCI runti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: golang-packaging-tracker 1326116
TreeView+ depends on / blocked
 
Reported: 2016-04-12 10:13 UTC by Jan Chaloupka
Modified: 2016-05-28 23:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-24 18:07:00 UTC
lsm5: fedora-review+


Attachments (Terms of Use)

Description Jan Chaloupka 2016-04-12 10:13:55 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-opencontainers-ocitools/golang-github-opencontainers-ocitools.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-opencontainers-ocitools/golang-github-opencontainers-ocitools-0-0.1.git506e7db.fc20.src.rpm

Description: Collection of tools for working with the OCI runtime specification

Fedora Account System Username: jchaloup

$ rpmlint golang-github-opencontainers-ocitools-0-0.1.git506e7db.fc20.src.rpm golang-github-opencontainers-ocitools-0-0.1.git506e7db.fc20.x86_64.rpm golang-github-opencontainers-ocitools-devel-0-0.1.git506e7db.fc20.noarch.rpm golang-github-opencontainers-ocitools-debuginfo-0-0.1.git506e7db.fc20.x86_64.rpm
golang-github-opencontainers-ocitools.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools.x86_64: E: statically-linked-binary /usr/bin/ocitools
golang-github-opencontainers-ocitools.x86_64: E: statically-linked-binary /usr/bin/runtimetest
golang-github-opencontainers-ocitools.x86_64: W: no-manual-page-for-binary runtimetest
golang-github-opencontainers-ocitools-devel.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
golang-github-opencontainers-ocitools-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package golang-github-opencontainers-ocitools.
4 packages and 0 specfiles checked; 3 errors, 7 warnings.

Notes: No Koji build as the packages depends on bz#1326274 which is under review. Locally, it builds fine. The debug info error is expected, the description is auto-generated. All golang binaries are linked statically by default.

Comment 1 Jan Chaloupka 2016-04-12 10:16:11 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/ocitools/ocitools.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/ocitools/ocitools-0-0.1.git506e7db.fc20.src.rpm

Description: Collection of tools for working with the OCI runtime specification

Fedora Account System Username: jchaloup

$ rpmlint ocitools-0-0.1.git506e7db.fc20.src.rpm ocitools-0-0.1.git506e7db.fc20.x86_64.rpm ocitools-devel-0-0.1.git506e7db.fc20.noarch.rpm ocitools-debuginfo-0-0.1.git506e7db.fc20.x86_64.rpm
ocitools.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools.x86_64: E: statically-linked-binary /usr/bin/ocitools
ocitools.x86_64: E: statically-linked-binary /usr/bin/runtimetest
ocitools.x86_64: W: no-manual-page-for-binary runtimetest
ocitools-devel.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
4 packages and 0 specfiles checked; 2 errors, 8 warnings.

Notes: No Koji build as the packages depends on bz#1326274 which is under review. Locally, it builds fine. The debug info error is expected, the description is auto-generated. All golang binaries are linked statically by default.

Comment 2 Lokesh Mandvekar 2016-04-12 15:25:05 UTC
As far as devel and sources go

- spec file conforms to current golang packaging draft
- only sources installed
- license valid

RE: binary, I'll do a 'fedora-review' to check for any glaring problems, though I'm not sure if it's evolved to handle golang packages.

Comment 3 Jan Chaloupka 2016-04-25 10:37:57 UTC
Ping, any progress on this?

Comment 4 Lokesh Mandvekar 2016-05-16 05:00:47 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated".
     83 files have unknown license. Detailed output of licensecheck in
     /home/lsm5/1326277-ocitools/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of
     /usr/share/gocode/src/github.com/opencontainers/ocitools/cmd
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/github.com/opencontainers/ocitools/cmd,
     /usr/share/gocode/src, /usr/share/gocode,
     /usr/share/gocode/src/github.com
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/opencontainers(golang-github-
     opencontainers-specs-devel, golang-github-opencontainers-runtime-spec-
     devel, runc-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     ocitools-devel , ocitools-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define gobuild(o:) go build
     -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d
     ' \\n')" -a -v -x %{?**};
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ocitools-0-0.1.git506e7db.fc25.x86_64.rpm
          ocitools-devel-0-0.1.git506e7db.fc25.noarch.rpm
          ocitools-debuginfo-0-0.1.git506e7db.fc25.x86_64.rpm
          ocitools-0-0.1.git506e7db.fc25.src.rpm
ocitools.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools.x86_64: E: statically-linked-binary /usr/bin/runtimetest
ocitools.x86_64: E: statically-linked-binary /usr/bin/ocitools
ocitools.x86_64: W: no-manual-page-for-binary runtimetest
ocitools-devel.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ocitools.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
4 packages and 0 specfiles checked; 2 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ocitools-debuginfo-0-0.1.git506e7db.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ocitools.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools.x86_64: W: ldd-failed /usr/bin/runtimetest
ocitools.x86_64: E: statically-linked-binary /usr/bin/runtimetest
ocitools.x86_64: W: ldd-failed /usr/bin/ocitools
ocitools.x86_64: E: statically-linked-binary /usr/bin/ocitools
ocitools.x86_64: W: no-manual-page-for-binary runtimetest
ocitools-devel.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ocitools-devel.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
3 packages and 0 specfiles checked; 2 errors, 8 warnings.



Requires
--------
ocitools (rpmlib, GLIBC filtered):

ocitools-debuginfo (rpmlib, GLIBC filtered):

ocitools-devel (rpmlib, GLIBC filtered):



Provides
--------
ocitools:
    ocitools
    ocitools(x86-64)

ocitools-debuginfo:
    ocitools-debuginfo
    ocitools-debuginfo(x86-64)

ocitools-devel:
    ocitools-devel



Source checksums
----------------
https://github.com/opencontainers/ocitools/archive/506e7db371f56d193a0d1a0ee62389213e99cbfe/ocitools-506e7db.tar.gz :
  CHECKSUM(SHA256) this package     : d13f32a3329dbca33d847e4308c8b8b0c0b38d1d97c945a766a5ce22a4cd2b3d
  CHECKSUM(SHA256) upstream package : d13f32a3329dbca33d847e4308c8b8b0c0b38d1d97c945a766a5ce22a4cd2b3d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1326277 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Lokesh Mandvekar 2016-05-16 05:14:30 UTC
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated".
     83 files have unknown license. Detailed output of licensecheck in
     /home/lsm5/1326277-ocitools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of
     /usr/share/gocode/src/github.com/opencontainers/ocitools/cmd

--- gotta own this one

[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/gocode/src/github.com/opencontainers/ocitools/cmd,
     /usr/share/gocode/src, /usr/share/gocode,
     /usr/share/gocode/src/github.com

--- /usr/share/gocode{/src{/github.com}} should be owned by golang-devel package I think.
I'm thinking we can waive this and file a bug against the main golang package itself.



[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com/opencontainers(golang-github-
     opencontainers-specs-devel, golang-github-opencontainers-runtime-spec-
     devel, runc-devel)

--- some upper level dirs are common to devel subpackages in other packages.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines

Comment 6 Jan Chaloupka 2016-05-16 07:34:57 UTC
Spec: https://jchaloup.fedorapeople.org/reviews/ocitools/ocitools.spec

Srpm: https://jchaloup.fedorapeople.org/reviews/ocitools/ocitools-0-0.1.git506e7db.fc20.src.rpm

Just renamed from golang-github-opencontainers-ocitools to ocitools and updated %install section to own the missing directories.

Comment 7 Jan Chaloupka 2016-05-16 07:52:01 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14101724

Comment 8 Lokesh Mandvekar 2016-05-16 13:51:11 UTC
looks good, package approved.

Comment 9 Gwyn Ciesla 2016-05-17 14:25:50 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ocitools

Comment 10 Fedora Update System 2016-05-18 08:36:54 UTC
ocitools-0-0.1.git506e7db.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f9d7bf17a

Comment 11 Fedora Update System 2016-05-18 08:37:24 UTC
ocitools-0-0.1.git506e7db.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba450bd121

Comment 12 Fedora Update System 2016-05-18 08:37:51 UTC
ocitools-0-0.1.git506e7db.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-26bf543ffc

Comment 13 Fedora Update System 2016-05-18 08:38:19 UTC
ocitools-0-0.1.git506e7db.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-291c30d65e

Comment 14 Fedora Update System 2016-05-21 01:23:36 UTC
ocitools-0-0.1.git506e7db.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba450bd121

Comment 15 Fedora Update System 2016-05-21 01:35:00 UTC
ocitools-0-0.1.git506e7db.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-291c30d65e

Comment 16 Fedora Update System 2016-05-21 02:28:19 UTC
ocitools-0-0.1.git506e7db.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f9d7bf17a

Comment 17 Fedora Update System 2016-05-21 05:49:53 UTC
ocitools-0-0.1.git506e7db.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-26bf543ffc

Comment 18 Fedora Update System 2016-05-24 18:06:58 UTC
ocitools-0-0.1.git506e7db.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-28 23:21:21 UTC
ocitools-0-0.1.git506e7db.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-28 23:54:30 UTC
ocitools-0-0.1.git506e7db.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.